<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFSheetConditionalFormatting (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFSheetConditionalFormatting (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFSheetConditionalFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFSheetConditionalFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFSheetConditionalFormatting" class="title">Class HSSFSheetConditionalFormatting</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFSheetConditionalFormatting</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                           title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFSheetConditionalFormatting</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
              title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></pre>
                <div class="block">The 'Conditional Formatting' facet of <tt>HSSFSheet</tt></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1)</code>
                                    <div class="block">Add a new Conditional Formatting to the sheet.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule:A-">addConditionalFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>[]&nbsp;cfRules)</code>
                                    <div class="block">Add a new Conditional Formatting set to the sheet.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule2)</code>
                                    <div class="block">Add a new Conditional Formatting consisting of two rules.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;rule1)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule:A-">addConditionalFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>[]&nbsp;cfRules)</code>
                                    <div class="block">Allows to add a new Conditional Formatting set to the sheet.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-">addConditionalFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;rule1,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;rule2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.usermodel.ConditionalFormatting-">addConditionalFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a>&nbsp;cf)</code>
                                    <div class="block">Adds a copy of a ConditionalFormatting object to the sheet</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.hssf.usermodel.HSSFConditionalFormatting-">addConditionalFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormatting</a>&nbsp;cf)</code>
                                    <div class="block">Adds a copy of HSSFConditionalFormatting object to the sheet
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#createConditionalFormattingColorScaleRule--">createConditionalFormattingColorScaleRule</a></span>()</code>
                                    <div class="block">Create a Color Scale / Color Gradient conditional formatting
                                        rule.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#createConditionalFormattingRule-byte-java.lang.String-">createConditionalFormattingRule</a></span>(byte&nbsp;comparisonOperation,
                                    java.lang.String&nbsp;formula1)</code>
                                    <div class="block">Create a conditional formatting rule that compares a cell value
                                        to a formula calculated result, using an operator *
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#createConditionalFormattingRule-byte-java.lang.String-java.lang.String-">createConditionalFormattingRule</a></span>(byte&nbsp;comparisonOperation,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2)</code>
                                    <div class="block">A factory method allowing to create a conditional formatting rule
                                        with a cell comparison operator
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#createConditionalFormattingRule-org.apache.poi.ss.usermodel.ExtendedColor-">createConditionalFormattingRule</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                        title="class in org.apache.poi.ss.usermodel">ExtendedColor</a>&nbsp;color)</code>
                                    <div class="block">Create a Databar conditional formatting rule.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#createConditionalFormattingRule-org.apache.poi.hssf.usermodel.HSSFExtendedColor-">createConditionalFormattingRule</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFExtendedColor</a>&nbsp;color)</code>
                                    <div class="block">Create a Databar conditional formatting rule.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#createConditionalFormattingRule-org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet-">createConditionalFormattingRule</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;iconSet)</code>
                                    <div class="block">A factory method allowing the creation of conditional formatting
                                        rules using an Icon Set / Multi-State formatting.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#createConditionalFormattingRule-java.lang.String-">createConditionalFormattingRule</a></span>(java.lang.String&nbsp;formula)</code>
                                    <div class="block">A factory method allowing to create a conditional formatting rule
                                        with a formula.<br>

                                        The formatting rules are applied by Excel when the value of the formula not
                                        equal to 0.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormatting</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#getConditionalFormattingAt-int-">getConditionalFormattingAt</a></span>(int&nbsp;index)</code>
                                    <div class="block">gets Conditional Formatting object at a particular index</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#getNumConditionalFormattings--">getNumConditionalFormattings</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html#removeConditionalFormatting-int-">removeConditionalFormatting</a></span>(int&nbsp;index)</code>
                                    <div class="block">removes a Conditional Formatting object by index</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createConditionalFormattingRule-byte-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConditionalFormattingRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;createConditionalFormattingRule(byte&nbsp;comparisonOperation,
                                                                     java.lang.String&nbsp;formula1,
                                                                     java.lang.String&nbsp;formula2)</pre>
                                <div class="block">A factory method allowing to create a conditional formatting rule
                                    with a cell comparison operator<p>
                                        TODO - formulas containing cell references are currently not parsed properly
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-byte-java.lang.String-java.lang.String-">createConditionalFormattingRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>comparisonOperation</code> - - a constant value from
                                        <tt><a href="../../../../../org/apache/poi/hssf/record/CFRuleBase.ComparisonOperator.html"
                                               title="class in org.apache.poi.hssf.record"><code>CFRuleBase.ComparisonOperator</code></a></tt>:
                                        <p>
                                        <ul>
                                            <li>BETWEEN</li>
                                            <li>NOT_BETWEEN</li>
                                            <li>EQUAL</li>
                                            <li>NOT_EQUAL</li>
                                            <li>GT</li>
                                            <li>LT</li>
                                            <li>GE</li>
                                            <li>LE</li>
                                        </ul>
                                        </p></dd>
                                    <dd><code>formula1</code> - - formula for the valued, compared with the cell</dd>
                                    <dd><code>formula2</code> - - second formula (only used with
                                        <a href="../../../../../org/apache/poi/hssf/record/CFRuleBase.ComparisonOperator.html#BETWEEN"><code>CFRuleBase.ComparisonOperator.BETWEEN</code></a>)
                                        and
                                        <a href="../../../../../org/apache/poi/hssf/record/CFRuleBase.ComparisonOperator.html#NOT_BETWEEN"><code>CFRuleBase.ComparisonOperator.NOT_BETWEEN</code></a>
                                        operations)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createConditionalFormattingRule-byte-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConditionalFormattingRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;createConditionalFormattingRule(byte&nbsp;comparisonOperation,
                                                                     java.lang.String&nbsp;formula1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-byte-java.lang.String-">SheetConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Create a conditional formatting rule that compares a cell value
                                    to a formula calculated result, using an operator *
                                    <p>
                                        The type of the created condition is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html#CELL_VALUE_IS"><code>ConditionType.CELL_VALUE_IS</code></a>
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-byte-java.lang.String-">createConditionalFormattingRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>comparisonOperation</code> - MUST be a constant value from
                                        <tt><a href="../../../../../org/apache/poi/ss/usermodel/ComparisonOperator.html"
                                               title="class in org.apache.poi.ss.usermodel"><code>ComparisonOperator</code></a></tt>
                                        except BETWEEN and NOT_BETWEEN
                                    </dd>
                                    <dd><code>formula1</code> - the formula to determine if the conditional formatting
                                        is applied
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createConditionalFormattingRule-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConditionalFormattingRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;createConditionalFormattingRule(java.lang.String&nbsp;formula)</pre>
                                <div class="block">A factory method allowing to create a conditional formatting rule
                                    with a formula.<br>

                                    The formatting rules are applied by Excel when the value of the formula not equal to
                                    0.<p>
                                        TODO - formulas containing cell references are currently not parsed properly
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-java.lang.String-">createConditionalFormattingRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formula</code> - - formula for the valued, compared with the cell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createConditionalFormattingRule-org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConditionalFormattingRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;createConditionalFormattingRule(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;iconSet)</pre>
                                <div class="block">A factory method allowing the creation of conditional formatting
                                    rules using an Icon Set / Multi-State formatting.
                                    The thresholds for it will be created, but will be empty
                                    and require configuring with
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html#getMultiStateFormatting--"><code>HSSFConditionalFormattingRule.getMultiStateFormatting()</code></a>
                                    then
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFIconMultiStateFormatting.html#getThresholds--"><code>HSSFIconMultiStateFormatting.getThresholds()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet-">createConditionalFormattingRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createConditionalFormattingRule-org.apache.poi.hssf.usermodel.HSSFExtendedColor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConditionalFormattingRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;createConditionalFormattingRule(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFExtendedColor</a>&nbsp;color)</pre>
                                <div class="block">Create a Databar conditional formatting rule.
                                    <p>The thresholds and colour for it will be created, but will be
                                        empty and require configuring with
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html#getDataBarFormatting--"><code>HSSFConditionalFormattingRule.getDataBarFormatting()</code></a>
                                        then
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataBarFormatting.html#getMinThreshold--"><code>HSSFDataBarFormatting.getMinThreshold()</code></a>
                                        and
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataBarFormatting.html#getMaxThreshold--"><code>HSSFDataBarFormatting.getMaxThreshold()</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="createConditionalFormattingRule-org.apache.poi.ss.usermodel.ExtendedColor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConditionalFormattingRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;createConditionalFormattingRule(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                        title="class in org.apache.poi.ss.usermodel">ExtendedColor</a>&nbsp;color)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-org.apache.poi.ss.usermodel.ExtendedColor-">SheetConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Create a Databar conditional formatting rule.
                                    <p>The thresholds and colour for it will be created, but will be
                                        empty and require configuring with
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html#getDataBarFormatting--"><code>ConditionalFormattingRule.getDataBarFormatting()</code></a>
                                        then
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataBarFormatting.html#getMinThreshold--"><code>DataBarFormatting.getMinThreshold()</code></a>
                                        and
                                        <a href="../../../../../org/apache/poi/ss/usermodel/DataBarFormatting.html#getMaxThreshold--"><code>DataBarFormatting.getMaxThreshold()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingRule-org.apache.poi.ss.usermodel.ExtendedColor-">createConditionalFormattingRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createConditionalFormattingColorScaleRule--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createConditionalFormattingColorScaleRule</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;createConditionalFormattingColorScaleRule()</pre>
                                <div class="block">Create a Color Scale / Color Gradient conditional formatting rule.
                                    <p>The thresholds and colours for it will be created, but will be
                                        empty and require configuring with
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html#getColorScaleFormatting--"><code>HSSFConditionalFormattingRule.getColorScaleFormatting()</code></a>
                                        then
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFColorScaleFormatting.html#getThresholds--"><code>HSSFColorScaleFormatting.getThresholds()</code></a>
                                        and
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFColorScaleFormatting.html#getColors--"><code>HSSFColorScaleFormatting.getColors()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#createConditionalFormattingColorScaleRule--">createConditionalFormattingColorScaleRule</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addConditionalFormatting-org.apache.poi.hssf.usermodel.HSSFConditionalFormatting-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConditionalFormatting</h4>
                                <pre>public&nbsp;int&nbsp;addConditionalFormatting(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormatting</a>&nbsp;cf)</pre>
                                <div class="block">Adds a copy of HSSFConditionalFormatting object to the sheet
                                    <p>This method could be used to copy HSSFConditionalFormatting object
                                        from one sheet to another. For example:
                                    <pre>
 HSSFConditionalFormatting cf = sheet.getConditionalFormattingAt(index);
 newSheet.addConditionalFormatting(cf);
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cf</code> - HSSFConditionalFormatting object</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of the new Conditional Formatting object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addConditionalFormatting-org.apache.poi.ss.usermodel.ConditionalFormatting-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConditionalFormatting</h4>
                                <pre>public&nbsp;int&nbsp;addConditionalFormatting(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a>&nbsp;cf)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.usermodel.ConditionalFormatting-">SheetConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Adds a copy of a ConditionalFormatting object to the sheet
                                    <p>
                                        This method could be used to copy ConditionalFormatting object
                                        from one sheet to another. For example:
                                    </p>
                                    <pre>
 ConditionalFormatting cf = sheet.getConditionalFormattingAt(index);
 newSheet.addConditionalFormatting(cf);
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.usermodel.ConditionalFormatting-">addConditionalFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cf</code> - the Conditional Formatting to clone</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of the new Conditional Formatting object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConditionalFormatting</h4>
                                <pre>public&nbsp;int&nbsp;addConditionalFormatting(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>[]&nbsp;cfRules)</pre>
                                <div class="block">Allows to add a new Conditional Formatting set to the sheet.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>regions</code> - - list of rectangular regions to apply conditional
                                        formatting rules
                                    </dd>
                                    <dd><code>cfRules</code> - - set of up to three conditional formatting rules</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of the newly created Conditional Formatting object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConditionalFormatting</h4>
                                <pre>public&nbsp;int&nbsp;addConditionalFormatting(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>[]&nbsp;cfRules)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule:A-">SheetConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Add a new Conditional Formatting set to the sheet.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule:A-">addConditionalFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>regions</code> - - list of rectangular regions to apply conditional
                                        formatting rules
                                    </dd>
                                    <dd><code>cfRules</code> - - set of up to conditional formatting rules (max 3 for
                                        Excel pre-2007)
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of the newly created Conditional Formatting object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConditionalFormatting</h4>
                                <pre>public&nbsp;int&nbsp;addConditionalFormatting(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;rule1)</pre>
                            </li>
                        </ul>
                        <a name="addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConditionalFormatting</h4>
                                <pre>public&nbsp;int&nbsp;addConditionalFormatting(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">SheetConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Add a new Conditional Formatting to the sheet.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>regions</code> - - list of rectangular regions to apply conditional
                                        formatting rules
                                    </dd>
                                    <dd><code>rule1</code> - - the rule to apply</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of the newly created Conditional Formatting object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-org.apache.poi.hssf.usermodel.HSSFConditionalFormattingRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConditionalFormatting</h4>
                                <pre>public&nbsp;int&nbsp;addConditionalFormatting(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;rule1,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingRule.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingRule</a>&nbsp;rule2)</pre>
                            </li>
                        </ul>
                        <a name="addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addConditionalFormatting</h4>
                                <pre>public&nbsp;int&nbsp;addConditionalFormatting(<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>[]&nbsp;regions,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule1,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                                       title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a>&nbsp;rule2)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">SheetConditionalFormatting</a></code></span>
                                </div>
                                <div class="block">Add a new Conditional Formatting consisting of two rules.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#addConditionalFormatting-org.apache.poi.ss.util.CellRangeAddress:A-org.apache.poi.ss.usermodel.ConditionalFormattingRule-org.apache.poi.ss.usermodel.ConditionalFormattingRule-">addConditionalFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>regions</code> - - list of rectangular regions to apply conditional
                                        formatting rules
                                    </dd>
                                    <dd><code>rule1</code> - - the first rule</dd>
                                    <dd><code>rule2</code> - - the second rule</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index of the newly created Conditional Formatting object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getConditionalFormattingAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getConditionalFormattingAt</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormatting</a>&nbsp;getConditionalFormattingAt(int&nbsp;index)</pre>
                                <div class="block">gets Conditional Formatting object at a particular index</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#getConditionalFormattingAt-int-">getConditionalFormattingAt</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - of the Conditional Formatting object to fetch</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Conditional Formatting object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumConditionalFormattings--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumConditionalFormattings</h4>
                                <pre>public&nbsp;int&nbsp;getNumConditionalFormattings()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#getNumConditionalFormattings--">getNumConditionalFormattings</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of Conditional Formatting objects of the sheet</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeConditionalFormatting-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>removeConditionalFormatting</h4>
                                <pre>public&nbsp;void&nbsp;removeConditionalFormatting(int&nbsp;index)</pre>
                                <div class="block">removes a Conditional Formatting object by index</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html#removeConditionalFormatting-int-">removeConditionalFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - of a Conditional Formatting object to remove</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFSheetConditionalFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFSheetConditionalFormatting.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFSheetConditionalFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
